/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "File System Component", "index.html", [
    [ "Overview", "index.html#fs_overview", [
      [ "Documentation Structure", "index.html#fs_docs_structure", null ]
    ] ],
    [ "Revision History", "fs_revhist.html", null ],
    [ "Create a File System Application", "fs_create_app.html", [
      [ "RTE Component Selection", "fs_create_app.html#fs_RTE_Software_Component_Selection", null ],
      [ "Using Drives", "fs_create_app.html#fs_drives", [
        [ "NOR Flash Drive", "fs_create_app.html#nor_usage", null ],
        [ "RAM Disk Drive", "fs_create_app.html#ram_usage", null ],
        [ "Memory Card Drive", "fs_create_app.html#mc_usage", null ],
        [ "USB Flash Drive", "fs_create_app.html#usb_usage", null ],
        [ "NAND Flash Drive", "fs_create_app.html#nand_usage", null ]
      ] ],
      [ "File System Configuration", "fs_create_app.html#fs_Device_Configuration", null ],
      [ "Hardware Configuration", "fs_create_app.html#fs_Driver_Configuration", null ],
      [ "System Resource Configuration", "fs_create_app.html#fs_sys_req", null ],
      [ "User Code Implementation", "fs_create_app.html#fs_User_Code_Implementation", null ],
      [ "Debugging", "fs_create_app.html#fs_debugging", [
        [ "Event Recorder Support", "fs_create_app.html#autotoc_md0", null ],
        [ "Event Recorder Configuration", "fs_create_app.html#autotoc_md1", null ],
        [ "Event IDs", "fs_create_app.html#autotoc_md2", null ]
      ] ]
    ] ],
    [ "File System Examples", "fs_examples.html", [
      [ "File System Example", "fs_examples.html#fs_standalone_example", [
        [ "Build the \"File System\" Project", "fs_examples.html#fs_example_build", [
          [ "Source Files", "fs_examples.html#fs_example_sources", null ]
        ] ],
        [ "Using the \"File System\" Project", "fs_examples.html#fs_example_using", [
          [ "Hardware Setup", "fs_examples.html#fs_example_using_hw", null ],
          [ "PC Software", "fs_examples.html#fs_example_using_pc", null ]
        ] ]
      ] ]
    ] ],
    [ "Theory of Operation", "fs_operation.html", "fs_operation" ],
    [ "Function Overview", "fs_function_reference.html", null ],
    [ "Differences to RL-FlashFS", "fs_diffs.html", [
      [ "General changes", "fs_diffs.html#fs_changes_gen", null ],
      [ "System Routines changes", "fs_diffs.html#fs_changes_sysFuncs", null ],
      [ "Utility Routines changes", "fs_diffs.html#fs_changes_utilFuncs", null ],
      [ "I/O Control Interface Routines changes", "fs_diffs.html#fs_changes_io_cntr", null ]
    ] ],
    [ "Resource Requirements", "fs_resource_requirements.html", [
      [ "Stack Requirements", "fs_resource_requirements.html#fs_stack_req", null ],
      [ "Heap Requirements", "fs_resource_requirements.html#fs_heap_req", null ],
      [ "CMSIS-RTOS Requirements", "fs_resource_requirements.html#fs_rtos_req", [
        [ "Thread Stack Requirements", "fs_resource_requirements.html#autotoc_md20", null ],
        [ "Mutex Requirements", "fs_resource_requirements.html#autotoc_md21", null ]
      ] ],
      [ "Memory Requirements", "fs_resource_requirements.html#fs_spec_mem_req", null ]
    ] ],
    [ "Reference", "modules.html", "modules" ]
  ] ]
];

var NAVTREEINDEX =
[
"emb_fs.html",
"group__evr__fsfat.html#gadb7d6b9ecceecff766e51e43a0045d75",
"group__ioc__interface__routines.html#ga57852261005a0fd076dd5eec0e007002"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';