/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Network Component", "index.html", [
    [ "Overview", "index.html#net_overview", [
      [ "MDK Editions", "index.html#net_mdk_editions", null ],
      [ "Documentation Structure", "index.html#net_docs_structure", null ]
    ] ],
    [ "Revision History", "netw_revhist.html", null ],
    [ "Creating a Network Application", "network_create_app.html", [
      [ "RTE Component Selection", "network_create_app.html#nw_RTE_Software_Component_Selection", null ],
      [ "Network Driver and Controller Configuration", "network_create_app.html#nw_Driver_Configuration", null ],
      [ "Ethernet PHY Configuration", "network_create_app.html#nw_PHY_Configuration", null ],
      [ "Network Configuration", "network_create_app.html#nw_Device_Configuration", [
        [ "Network Core", "network_create_app.html#autotoc_md0", null ],
        [ "Network Interface", "network_create_app.html#autotoc_md1", null ],
        [ "Network Socket", "network_create_app.html#autotoc_md2", null ],
        [ "Network Service", "network_create_app.html#autotoc_md3", null ]
      ] ],
      [ "Security Configuration", "network_create_app.html#nw_security_config", null ],
      [ "System Resource Configuration", "network_create_app.html#nw_system_resources", null ],
      [ "User Code Implementation", "network_create_app.html#nw_User_Code_Implementation", [
        [ "User Code Templates", "network_create_app.html#autotoc_md4", null ]
      ] ],
      [ "Debugging", "network_create_app.html#nw_debugging", [
        [ "Event Recorder Support", "network_create_app.html#netEvrSupport", null ],
        [ "Event filtering", "network_create_app.html#autotoc_md5", null ],
        [ "Event IDs", "network_create_app.html#autotoc_md6", null ]
      ] ],
      [ "Runtime Configuration", "network_create_app.html#nw_runtime_config", null ]
    ] ],
    [ "Troubleshooting a Network Application", "network_troubleshoot.html", [
      [ "Network library hierarchy", "network_troubleshoot.html#trbl_nw_hierachry", null ],
      [ "Best practices", "network_troubleshoot.html#trbl_bestpractice", [
        [ "Check the Ethernet interface", "network_troubleshoot.html#trbl_verify_eth", null ],
        [ "Verify Socket Communication", "network_troubleshoot.html#trbl_verify_sock", null ],
        [ "Verify Secure Communication", "network_troubleshoot.html#trbl_verify_secure", null ]
      ] ]
    ] ],
    [ "Secure Communication", "secure_communication.html", "secure_communication" ],
    [ "Cyber Security", "certification.html", null ],
    [ "Network Examples", "nw_examples.html", "nw_examples" ],
    [ "Migration", "network_diffs.html", [
      [ "Project Migration", "network_diffs.html#nw_diffs_project_migration", [
        [ "Select a New Core Variant", "network_diffs.html#nw_diffs_select_variant", null ],
        [ "Using the Compatibility Mode", "network_diffs.html#nw_diffs_compatibility_mode", null ],
        [ "Update Configuration Files", "network_diffs.html#nw_diffs_update_configs", null ],
        [ "Configure Keil RTX", "network_diffs.html#nw_diffs_rtx_configuration", null ],
        [ "Build and Run the Network Project", "network_diffs.html#nw_diffs_build_and_run", null ]
      ] ],
      [ "Porting Library Functionality", "network_diffs.html#nw_diffs_porting_rte_lib_functions", [
        [ "Runtime Configuration Migration", "network_diffs.html#nw_diffs_porting_rte_lib_localm", null ],
        [ "LOCALM", "network_diffs.html#autotoc_md107", null ],
        [ "TCP Socket Access Migration", "network_diffs.html#nw_diffs_porting_rte_lib_socket", null ],
        [ "HTTP/Telnet Server Migration", "network_diffs.html#nw_diffs_porting_rte_lib_httptelnet", null ]
      ] ],
      [ "Component Migration", "network_diffs.html#nw_diffs_component_migration", [
        [ "Network Core Functions", "network_diffs.html#nw_diffs_component_core", null ],
        [ "HTTP Server", "network_diffs.html#nw_diffs_component_http", null ],
        [ "FTP Server", "network_diffs.html#nw_diffs_component_ftps", null ],
        [ "FTP Client", "network_diffs.html#nw_diffs_component_ftpc", null ],
        [ "TFTP Server", "network_diffs.html#nw_diffs_component_tftps", null ],
        [ "TFTP Client", "network_diffs.html#nw_diffs_component_tftpc", null ],
        [ "Telnet Server", "network_diffs.html#nw_diffs_component_telnet", null ],
        [ "SNMP Agent", "network_diffs.html#nw_diffs_component_snmp", null ],
        [ "SNTP Client", "network_diffs.html#nw_diffs_component_sntp", null ],
        [ "BSD Sockets", "network_diffs.html#nw_diffs_component_bsd", null ],
        [ "TCP Sockets", "network_diffs.html#nw_diffs_component_tco", null ],
        [ "UDP Sockets", "network_diffs.html#nw_diffs_component_udp", null ],
        [ "Network Interface Functions", "network_diffs.html#nw_diffs_component_if", null ],
        [ "Network Address Conversion Functions", "network_diffs.html#nw_diffs_component_nw_addr", null ]
      ] ],
      [ "Network Configuration", "network_diffs.html#mig_nw_configuration", [
        [ "Net_Config.c", "network_diffs.html#mig_nw_configuration_net_config_c", null ],
        [ "Net_Config_ETH.h", "network_diffs.html#mig_nw_configuration_net_config_eth", null ],
        [ "Net_Config_FTP_Server.h", "network_diffs.html#mig_nw_configuration_net_config_ft_server", null ],
        [ "Net_Config_HTTP_Server.h", "network_diffs.html#mig_nw_configuration_net_config_http_server", null ],
        [ "Net_Config_PPP.h", "network_diffs.html#mig_nw_configuration_net_config_ppp", null ],
        [ "Net_Config_SLIP.h", "network_diffs.html#mig_nw_configuration_net_config_slip", null ],
        [ "Net_Config_SNMP_Agent.h", "network_diffs.html#mig_nw_configuration_net_config_snmp_agent", null ],
        [ "Net_Config_SNTP_Client.h", "network_diffs.html#mig_nw_configuration_net_config_sntp_client", null ],
        [ "Net_Config_TCP.h", "network_diffs.html#mig_nw_configuration_net_config_tcp", null ],
        [ "Net_Config_Telnet_Server.h", "network_diffs.html#mig_nw_configuration_net_config_telnet_server", null ],
        [ "Net_Config_TFTP_Server.h", "network_diffs.html#mig_nw_configuration_net_config_tftp_server", null ],
        [ "Net_Debug.c", "network_diffs.html#mig_nw_configuration_net_debug", null ]
      ] ],
      [ "STDIO Debug", "network_diffs.html#netDebugStdio", [
        [ "Debug Levels", "network_diffs.html#autotoc_md108", null ],
        [ "Redirecting Output", "network_diffs.html#autotoc_md109", null ]
      ] ],
      [ "Migrating from RL-TCPnet", "network_diffs.html#rl_tcpnet2IPv6", [
        [ "Changes from rtl.h", "network_diffs.html#rtl_rl_net_diffs", null ],
        [ "BSD socket functions", "network_diffs.html#autotoc_md110", null ],
        [ "Changes from net_config.h", "network_diffs.html#net_config_rl_net_diffs", null ]
      ] ],
      [ "Migrating from Network Component v5/v6", "network_diffs.html#legacy2IPv6", [
        [ "Network Core", "network_diffs.html#mig_nw_core", null ],
        [ "UDP Sockets", "network_diffs.html#mig_udp_sockets", null ],
        [ "TCP Sockets", "network_diffs.html#mig_tcp_sockets", null ],
        [ "BSD Sockets", "network_diffs.html#mig_bsd_sockets", null ],
        [ "FTP Server", "network_diffs.html#mig_ftp_server", null ],
        [ "FTP Client", "network_diffs.html#mig_ftp_client", null ],
        [ "TFTP Server", "network_diffs.html#mig_tftp_server", null ],
        [ "TFTP Client", "network_diffs.html#mig_tftp_client", null ],
        [ "Telnet Server", "network_diffs.html#mig_telnet_server", null ],
        [ "HTTP Server", "network_diffs.html#mig_http_server", null ],
        [ "SMTP Client", "network_diffs.html#mig_smtp_client", null ],
        [ "SNTP Client", "network_diffs.html#mig_sntp_client", null ],
        [ "SNMP Agent", "network_diffs.html#mig_snmp_agent", null ],
        [ "Network Interfaces", "network_diffs.html#mig_interfaces", null ],
        [ "Network Address Conversion", "network_diffs.html#mig_nw_addr_conversion", null ],
        [ "Network Definitions", "network_diffs.html#mig_nw_definitions", null ]
      ] ]
    ] ],
    [ "Resource Requirements", "nw_resource_requirements.html", [
      [ "Stack Requirements", "nw_resource_requirements.html#nw_mem_req", null ],
      [ "Heap Requirements", "nw_resource_requirements.html#nw_heap_req", null ],
      [ "CMSIS-RTOS Requirements", "nw_resource_requirements.html#nw_rtos_req", [
        [ "RTX v5 Requirements", "nw_resource_requirements.html#nw_req_rtx5", null ],
        [ "RTX v4 Requirements", "nw_resource_requirements.html#nw_req_rtx4", null ]
      ] ],
      [ "Memory Requirements", "nw_resource_requirements.html#nw_spec_mem_req", null ]
    ] ],
    [ "Function Overview", "net_func_overview.html", [
      [ "HTTP Server", "net_func_overview.html#net_fo_http", null ],
      [ "FTP Server", "net_func_overview.html#net_fo_ftps", null ],
      [ "FTP Client", "net_func_overview.html#net_fo_ftpc", null ],
      [ "TFTP Server", "net_func_overview.html#net_fo_tftps", null ],
      [ "TFTP Client", "net_func_overview.html#net_fo_tftpc", null ],
      [ "Telnet Server", "net_func_overview.html#net_fo_telnet", null ],
      [ "SNMP Agent", "net_func_overview.html#net_fo_snmp", null ],
      [ "DNS Client", "net_func_overview.html#net_fo_dnsc", null ],
      [ "SNTP Client", "net_func_overview.html#net_fo_sntpc", null ],
      [ "SMTP Client", "net_func_overview.html#net_fo_smtpc", null ],
      [ "Ping Client", "net_func_overview.html#net_fo_pingc", null ],
      [ "Sockets", "net_func_overview.html#net_fo_socket", null ],
      [ "Interfaces", "net_func_overview.html#net_interfaceover", null ],
      [ "IP Address", "net_func_overview.html#net_fo_ip_addr", null ],
      [ "System Functions (User)", "net_func_overview.html#net_fo_sys_func", null ],
      [ "Modem Driver Functions", "net_func_overview.html#net_fo_modem", null ]
    ] ],
    [ "Reference", "modules.html", "modules" ]
  ] ]
];

var NAVTREEINDEX =
[
"_b_s_d__examples.html",
"group__net__evr__arp__func.html#ga46eec43e4809a49db8f50fb88fd91f1b",
"group__net__evr__dhcp__func.html#ga978f7bef6390c5a6ebafc889c5a829df",
"group__net__evr__https__func.html#gad057b02e874c24a9d337421df7588da0",
"group__net__evr__ppp__func.html#ga43f5505071d219c3e8aac7f3779cdf82",
"group__net__evr__tcp__func.html#ga4d2068e56d1fb57d556cb30dbc58249d",
"group__net__evr__wifi__func.html#ga4faa5959e8d1742762196822222eca04",
"group__telnet__user__api.html#ga9a7a58d47b923e82e2fbdc54759eded5",
"network_diffs.html#nw_diffs_project_migration"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';